{
    /**
     * @param {HTMLElement} host
     * @param {import("../../editor-paginas/1.0.2/GOVBREditorPaginasUserControl.mjs").GOVBREditorPaginasUserControl} data
     */
    const init = async (host, data) => {
        await GOVBRPlataformaJS.importarModulo(data.URL_CDN, 'editor-paginas', data.VERSAO_JS_COMPONENTE, 'GOVBREditorPaginasUC');
        host.innerHTML = `<div class="govbr-editor-paginas-uc"></div>`;
        new GOVBREditorPaginasUC(data, host.querySelector('.govbr-editor-paginas-uc'));
    };
    GOVBRDemos.addInitComponente('editor-paginas', init);
}
